{{- define "library.initJob" -}}
{{- if ((.Values.initJob).enabled) }}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ .Chart.Name }}-init-{{ .Release.Revision }}
  labels:
    {{- include "library.labels" . | nindent 4 }}
spec:
  ttlSecondsAfterFinished: 3600
  template:
    metadata:
      name: {{ .Chart.Name }}-init-{{ .Release.Revision }}
      labels:
        {{- include "library.labels" . | nindent 8 }}
    spec:
      {{- if include "library.imagePullSecrets" . }}
      imagePullSecrets:
        {{- include "library.imagePullSecrets" . | nindent 8 }}
      {{- end }}
      {{- with .Values.hostAliases }}
      hostAliases:
        {{- tpl (toYaml .) $ | nindent 8 }}
      {{- end }}
      restartPolicy: Never
      {{- if ((.Values.rbac).enabled) }}
      initContainers:
        - name: init-rbac
          image: "{{ include "library.imageRepository" . }}:{{ include "library.imageTag" . }}"
          imagePullPolicy: {{ include "library.imagePullPolicy" . }}
          env:
            {{- $newrbac := merge .Values.injectRabcEnv .Values.extraEnv }}
            {{- range $key, $value := $newrbac  | default nil }}
            - name: {{ $key }}
              value: {{ tpl (quote $value) $ }}
            {{- end }}
          envFrom:
            {{- with .Values.injectEnvFrom }}
              {{- tpl . $ | nindent 12 }}
            {{- end }}
            {{- with .Values.extraEnvFrom }}
              {{- tpl . $ | nindent 12 }}
            {{- end }}
          resources:
            limits:
              cpu: 1000m
              memory: 2Gi
            requests:
              cpu: 50m
              memory: 128Mi
          volumeMounts:
            {{- with .Values.extraVolumeMounts }}
            {{- tpl . $ | nindent 12 }}
            {{- end }}
      {{- end }}
      containers:
        - name: init-liquibase
          image: "{{ include "library.imageRepository" . }}:{{ include "library.imageTag" . }}"
          imagePullPolicy: {{ include "library.imagePullPolicy" . }}
          env:
            {{- $newliq := merge .Values.injectJobEnv .Values.extraEnv }}
            {{- range $key, $value := $newliq  | default nil }}
            - name: {{ $key }}
              value: {{ tpl (quote $value) $ }}
            {{- end }}
          envFrom:
            {{- with .Values.injectEnvFrom }}
              {{- tpl . $ | nindent 12 }}
            {{- end }}
            {{- with .Values.extraEnvFrom }}
              {{- tpl . $ | nindent 12 }}
            {{- end }}
          resources:
            limits:
              cpu: 1000m
              memory: 2Gi
            requests:
              cpu: 50m
              memory: 128Mi
          volumeMounts:
            {{- with .Values.extraVolumeMounts }}
            {{- tpl . $ | nindent 12 }}
            {{- end }}
      volumes:
        {{- with .Values.extraVolumes }}
        {{- tpl . $ | nindent 8 }}
        {{- end }}
{{- end }}
{{- end -}}